Quantcast
Channel: All Revit API Forum posts
Viewing all 66666 articles
Browse latest View live

Re: Installation problem With Revit 2020

$
0
0

Hi  ,

Unfortunately, this is not the best place to ask such a question.

Please note that this discussion forum is dedicated to programming Revit using the Revit API.

Therefore, you cannot expect an answer to a question such as yours relating to installation, product usage or end user support issues here.

You should try one of the non-API Revit product support discussion forums instead for that:

https://forums.autodesk.com/t5/revit-api-forum/this-forum-is-for-revit-api-programming-questions-not-for/td-p/5607765 

 

For Installation and licensing:

https://forums.autodesk.com/t5/installation-licensing/bd-p/24 

 

I hope this clarifies.


Re: Another Security Addin windows pop-up after adding winform

$
0
0

Thanks Jeremy for the info. it all make sense. 

Intersection of Curves

$
0
0

I have two analytical model columns, that intersect in two points as in the picture. When i call Curve.Intersect I become SetComparisonResult.Equal. Does anyone know why?

 

Advise:Legend and Legend Component Creation API

$
0
0

Dear Friends && ADSKers,

 

         I advise that RevitAPI may provide legend and legend component creation API, my department meet some huge projects and need to create lots of legends with legend component and its dimensions, thus my colleagues request a tool to create automatically, I found that there is only one way to create legend by View.Duplicate, and no method to create legend component in legend, so I advise that maybe Revit can provide us some APIs, my colleagues were insufferably created lots by manual : ) I think that other designer friends may meet the same issue

 

Many Thanks

0.png

Re: IndependentTag - How do i call this in Revit?

$
0
0

Hello!
Please, help me!

How can I make an outlet?

can you help me?

Thanks 

How to remove security dialog when loading signed add-in?

$
0
0

When a new add-in loads into Revit you get a Security warning dialog asking the user to trust the add-in.  While this makes sense, especially for unsigned add-ins, our signed add-in still generates this dialog.

According to the Revit API documentation:
https://help.autodesk.com/view/RVT/2020/ENU/?guid=Revit_API_Revit_API_Developers_Guide_Introduction_Add_In_Integration_Digitally_Signing_Your_Revit_Add_in_Digitally_Signing_Your_App_html

 

"Once the DLL is signed with an authorized certification, Revit will no longer pop up a security warning dialog upon loading your add-in."


We signed our add-in dll with a number of code signing cert providers but a security dialog always is displayed.  We kept on buying more expensive code signing certificates thinking that this might be a matter that the root certificates of the CA authority may not be trusted.

First tried a trial Ascertia code signing cert.
Next a GlobalSign standard code signing cert protected by a hardware token.

Lastly, a DigiCert EV code signing cert which is also protected by a hardware token.

All produce the security dialog.  I don't think there is a more trusted certificate than an EV one.

Is there something else I must do to get this security dialog to not show?

 

I have researched the forums and there is an old thread about code signing Revit add-ins that seems to talk about this:
https://forums.autodesk.com/t5/revit-api-forum/code-signing-of-revit-addins/td-p/5981560

 

It this thread Jeremy Tammik reproduced a copy of pre-release documentation that seems to indicate that I need to install a certificate in the Trusted Publishers store.  I have experimented with this and it seems if I add the code signing certificate itself to the Trusted Publishers store, Revit does indeed not show the security dialog on loading the add-in.

But is this right?  I need to use the "code signing" certificate?  The root certificate does not work?
I have some resistance to this as I want my add-in installer to not require administrator privileges.

Also, I could not find any mention of this in "official" Autodesk documentation (except for making your own certificate for testing).  I don't want to apply a fix that will just break with the next update of Revit.

I have also tried some of the registry modifications from this forum thread.
https://forums.autodesk.com/t5/revit-api-forum/security-prompt-for-unsigned-add-ins/td-p/7299954

They did not work for me.  Maybe because the add-in is signed.

What do other add-in developers do to get rid of this dialog?

Modifying Reference Plane's Free end and Bubble end in other views

$
0
0

Hi, 

 

I have a Reference Plane(RP) which is created in Top View and also have it visible in Front View.

 

On modifying the Free end and Bubble end of this particular RP, it gets updated in the Top View, even if I access it from Front View.

 

I understand for the Front View both of these ends would be same end.

 

How to access the geometry of Reference Planes, like Length and Breadth ??

 

Adding image for better understanding.

Error Message 1.png

 

Thanks

 

Suraj

Check if can delete a view

$
0
0

I want to see if a warning is going to be presented to user to say hey, dont delete that view as it will delete view x,y,z as well. I used something similar to this to prevent walls being created with errors, however is there something more staightforward or do i need to get some boolean flag return from a call to the below. it doesnt seem to work as i have to try to delete an object before it rolls back the error.

 

 

private static void SendTransactionToSwallower(Transaction transSwallow)
{
FailureHandlingOptions failOpt = transSwallow.GetFailureHandlingOptions();
failOpt.SetFailuresPreprocessor(new WarningRollback());
failOpt.SetClearAfterRollback(true);
transSwallow.SetFailureHandlingOptions(failOpt);
}

class WarningRollback : IFailuresPreprocessor
{
FailureProcessingResult IFailuresPreprocessor.PreprocessFailures(FailuresAccessor a)
{
IList<FailureMessageAccessor> failures = a.GetFailureMessages();

foreach (FailureMessageAccessor f in failures)
{
FailureSeverity fseverity = a.GetSeverity();

a.ResolveFailure(f);
return FailureProcessingResult.ProceedWithRollBack;

}
return FailureProcessingResult.Continue;
}

}


Re: Intersection of Curves

$
0
0

hi,

it is hard to tell without a snippet code.

Re: Check if can delete a view

Re: Intersection of Curves

Re: How to create a NURBS Surface given a gird of XYZ points

$
0
0

 I gave up on BRepBuilder. Now I am trying TessellatedShapeBuilder. In my testing example, I can create a solid using TessellatedShapeBuilder, as shown in the figure. But How can I delete all those internal edges?

Thanks,

 TessellatedShapeBuilder.PNG

Re: Modifying Reference Plane's Free end and Bubble end in other views

$
0
0

Hi! Yep, it is possible, look at this methods of DatumPlane class (it is a parent class for Reference planes, levels and grids)

Datum plane.png

Re: IndependentTag - How do i call this in Revit?

$
0
0

Your question is a bit vague but being an electrician i presume you mean make a receptacle, switch, telecom device. If so, it would be best to start a new thread. You will get a better answer and your question wont feel out of context to those helping you.

Re: Check if can delete a view

$
0
0

Hi Kumar,

How can I use this code to find if a warning is generated after I delete say a view with one or more callouts. So I can set a flag to say cant delete view or can delete view in the calling code?


How to modify FillRegion with Invisible lines

$
0
0

Dear Friends,

 

         I want to know how to modify FillRegion with Invisible lines, I try two methods below, but all failed:

re.SetLineStyleId(Category.GetCategory(doc, BuiltInCategory.OST_InvisibleLines).
GetGraphicsStyle(GraphicsStyleType.Projection).Id);
var _styles = new FilteredElementCollector(doc)
            .OfClass(typeof(GraphicsStyle))
            .Cast<GraphicsStyle>()
            .ToList();

GraphicsStyle invisibleLineStyle = null;
foreach (GraphicsStyle g in _styles)
{
      if (g.Category.Id.IntegerValue.Equals((int)BuiltInCategory.OST_InvisibleLines))
      {
           invisibleLineStyle = g;
           break;
      }
}
re.SetLineStyleId(invisibleLineStyle.Id)

Does anyone know why and how to modify?

 

Many Thanks

0.png

 

 

Brep has null reference

$
0
0

when using brepbuilding i can build a valid brep and access the face, but let's say for each DB.Face f in the brep f.Reference is always null. any ideas on how to obtain a valid reference. i am trying to use it to create a facewall

dockablepanel button wrong position when tabbed

$
0
0

I am working with dockablepane and this looks odd.

 

when the panel is in floating position. it looks fine to me. but when it is dock or tabbed, the 2 button where positioned in the middle.

 

anybody can give me a hint how to make my buttons whether floating or dock or tabbed should always appear correctly.

 

kindly see screenshots.

Re: Advise:Legend and Legend Component Creation API

$
0
0

Thank you very much for the kind suggestion.

 

Please note that this is not the right place to submit such a request.

 

A special area has been provided for such purposes, the Revit Idea Station: 

 

https://forums.autodesk.com/t5/revit-ideas/idb-p/302

 

You can submit this idea there and tag it as an API request.

 

The Revit Idea Station enables your peers to vote for your request.

 

The highly voted wishes enable to program managers and development team to effective determine what areas are most important for the community.

 

However, please always search the idea station for existing wishes before submitting a duplicate.

 

In this case, I see a request for 'API for creating Legend views and Legend components' which already has 21 votes:

 

https://forums.autodesk.com/t5/revit-ideas/api-for-creating-legend-views-and-legend-components/idi-p/8352835

 

Please add your request to that and gather more votes for it to enhance its priority.

 

Thank you!

 

Best regards,

 

Jeremy

 

 

Re: Brep has null reference

$
0
0

I believe the reference can only be determined by Revit once the face belongs to a valid database element.

 

I do not believe you can get a reference for a face that you have built yourself.

 

The purpose of the reference is to provide a valid persistent tag for a geometric sub-element of a database resident BIM element.

 

Viewing all 66666 articles
Browse latest View live


<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>